org.infinispan.schematic.internal.delta

## Class PutOperation.Externalizer

- java.lang.Object
- - org.infinispan.schematic.internal.SchematicExternalizer<PutOperation>
  - - org.infinispan.schematic.internal.delta.PutOperation.Externalizer

- All Implemented Interfaces:
    Serializable, Externalizer<PutOperation>
  Enclosing class:
    PutOperation

      public static final class PutOperation.Externalizer
      extends SchematicExternalizer<PutOperation>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutOperation.Externalizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getId()`
    `Set<Class<? extends PutOperation>>` | `getTypeClasses()`
    `PutOperation` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, PutOperation put)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutOperation.Externalizer

          public PutOperation.Externalizer()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                         PutOperation put)
                           throws IOException

      Throws:
        `IOException`

    - #### readObject

          public PutOperation readObject(ObjectInput input)
                                  throws IOException,
                                         ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Integer getId()

      Specified by:
        `getId` in class `SchematicExternalizer<PutOperation>`

    - #### getTypeClasses

          public Set<Class<? extends PutOperation>> getTypeClasses()

      Specified by:
        `getTypeClasses` in class `SchematicExternalizer<PutOperation>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.